{% extends 'base/base.html' %}

{% block content %}
<br><h3 style="text-align: center; color: white">Search Kata Semangat Berdasarkan Nama Penulis</h3><br>
<div style="text-align: center;">
    <input type="text" id="key" placeholder="Masukkan nama penulis">
</div>
<br>
<table class="table table-bordered mx-auto" style="width: 75%; color: white; text-align: center">
    <thead>
    <tr>
        <th>Kata Semangat</th>
        <th>Author</th>
    </tr>
    </thead>
    <tbody id="hasil_search">
    </tbody>
</table>
{% endblock content %}

{% block script %}
<script type="text/javascript">
    $("#key").keyup(function(){
        var isi = $("#key").val();
        var url_panggil = "semangatDB?keyword=" + isi;
        console.log(url_panggil)
        $.ajax({
            url: url_panggil,
            success: function(result){
                console.log(result);
                var obj_result = $("#hasil_search");
                obj_result.empty();

                for(i = 0; i < result.length; i++){
                    var kata_semangat = result[i].fields.katasemangat;
                    var penulis = result[i].fields.author;
                    obj_result.append("<tr> <td>" + kata_semangat + "</td>" + "<td>" + penulis + "</td>");
                }
            } 
       });
    });
</script>
{% endblock script %}
